package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreExtract;
import com.fs.his.vo.FsStoreExtractVO;

/**
 * 店铺提现管理Service接口
 *
 * @author fs
 * @date 2023-06-25
 */
public interface IFsStoreExtractService
{
    /**
     * 查询店铺提现管理
     *
     * @param extractId 店铺提现管理主键
     * @return 店铺提现管理
     */
    public FsStoreExtract selectFsStoreExtractByExtractId(String extractId);

    /**
     * 查询店铺提现管理列表
     *
     * @param fsStoreExtract 店铺提现管理
     * @return 店铺提现管理集合
     */
    public List<FsStoreExtract> selectFsStoreExtractList(FsStoreExtract fsStoreExtract);

    /**
     * 新增店铺提现管理
     *
     * @param fsStoreExtract 店铺提现管理
     * @return 结果
     */
    public int insertFsStoreExtract(FsStoreExtract fsStoreExtract);

    /**
     * 修改店铺提现管理
     *
     * @param fsStoreExtract 店铺提现管理
     * @return 结果
     */
    public int updateFsStoreExtract(FsStoreExtract fsStoreExtract);

    /**
     * 批量删除店铺提现管理
     *
     * @param extractIds 需要删除的店铺提现管理主键集合
     * @return 结果
     */
    public int deleteFsStoreExtractByExtractIds(String[] extractIds);

    /**
     * 删除店铺提现管理信息
     *
     * @param extractId 店铺提现管理主键
     * @return 结果
     */
    public int deleteFsStoreExtractByExtractId(String extractId);


    List<FsStoreExtractVO> selectFsStoreExtractListVO(FsStoreExtract fsStoreExtract);
}
